## sccache 0.9.0

=== debian/changelog ===
sccache (0.9.0-3) unstable; urgency=medium

  * add patch 1009 to avoid tests for split-dwarf on riscv for clang which lacks support
  * add patch 2005 to disable arbitrarily failing test of multi -arch arguments

 -- Blair Noctis <ncts@debian.org>  Mon, 06 Jan 2025 12:41:14 +0000

sccache (0.9.0-2) unstable; urgency=medium

  [ Peter Michael Green ]
  * Bump object to 0.36, closes: #1090396

  [ Blair Noctis ]
  * Work around picking rustc from hard coded $CARGO_HOME, closes: #1090040
  * Install upstream docs/

 -- Blair Noctis <ncts@debian.org>  Fri, 03 Jan 2025 16:13:50 +0000

sccache (0.9.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patch 2001_which,
    obsoleted by Debian package changes;
    tighten build-dependency for crate which
  * update and unfuzz patches
  * build-depend on package for crate shlex
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 10 Dec 2024 10:35:01 +0100

=== debian/control ===
Source: sccache
Section: devel
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Uploaders:
 Blair Noctis <ncts@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust,
 help2man <!nodoc>,
 librust-anyhow-1+backtrace-dev,
 librust-anyhow-1+default-dev,
 librust-ar-0.9+default-dev,
 librust-assert-cmd-2+default-dev <!nocheck>,
 librust-async-trait-0.1+default-dev,
 librust-atty-0.2+default-dev,
 librust-base64-0.22+default-dev,
 librust-bincode-1+default-dev,
 librust-blake3-1+default-dev,
 librust-byteorder-1+default-dev,
 librust-bytes-1+default-dev,
 librust-chrono-0.4+default-dev,
 librust-clap-4+default-dev,
 librust-daemonize-0.5+default-dev,
 librust-directories-5+default-dev,
 librust-encoding-0.2+default-dev,
 librust-env-logger-0.11+default-dev,
 librust-filetime-0.2+default-dev,
 librust-flate2-1+rust-backend-dev,
 librust-fs-err-2+default-dev,
 librust-futures-0.3+default-dev,
 librust-futures-locks-0.7+default-dev,
 librust-http-0.2+default-dev,
 librust-hyper-0.14+default-dev,
 librust-hyper-0.14+server-dev,
 librust-is-terminal-0.4+default-dev,
 librust-itertools-0.13+default-dev <!nocheck>,
 librust-jobserver-0.1+default-dev,
 librust-libc-0.2+default-dev,
 librust-linked-hash-map-0.5+default-dev,
 librust-log-0.4+default-dev,
 librust-memchr-2+default-dev,
 librust-memmap2-0.9+default-dev,
 librust-mime-0.3+default-dev,
 librust-num-cpus-1+default-dev,
 librust-number-prefix-0.4+default-dev,
 librust-object-0.36+default-dev,
 librust-once-cell-1+default-dev,
 librust-predicates-3+default-dev <!nocheck>,
 librust-rand-0.8+default-dev,
 librust-regex-1+default-dev,
 librust-reqwest-0.11+blocking-dev,
 librust-reqwest-0.11+default-dev,
 librust-reqwest-0.11+json-dev,
 librust-reqwest-0.11+rustls-tls-dev,
 librust-reqwest-0.11+rustls-tls-native-roots-dev,
 librust-reqwest-0.11+stream-dev,
 librust-reqwest-0.11+trust-dns-dev,
 librust-retry-2+default-dev,
 librust-semver-1+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-serial-test-dev (<< 4) <!nocheck>,
 librust-sha2-0.10+default-dev,
 librust-shlex-1+default-dev,
 librust-strip-ansi-escapes-0.2+default-dev,
 librust-tar-0.4+default-dev,
 librust-tempfile-3+default-dev,
 librust-test-case-3+default-dev <!nocheck>,
 librust-tokio-1+default-dev,
 librust-tokio-1+io-util-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+net-dev,
 librust-tokio-1+process-dev,
 librust-tokio-1+rt-multi-thread-dev,
 librust-tokio-1+time-dev,
 librust-tokio-serde-0.8+default-dev,
 librust-tokio-util-0.7+codec-dev,
 librust-tokio-util-0.7+default-dev,
 librust-tokio-util-0.7+io-dev,
 librust-toml-0.8+default-dev,
 librust-tower-0.4+default-dev,
 librust-url-2+default-dev,
 librust-uuid-1+default-dev,
 librust-uuid-1+v4-dev,
 librust-walkdir-2+default-dev,
 librust-which-6-dev,
 librust-zip-0.6-dev,
 librust-zstd-0.13+default-dev,
Standards-Version: 4.7.0
Homepage: https://github.com/mozilla/sccache
Vcs-Git: https://salsa.debian.org/debian/sccache.git
Vcs-Browser: https://salsa.debian.org/debian/sccache
Rules-Requires-Root: no

Package: sccache
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Static-Built-Using:
 ${cargo:Static-Built-Using},
Description: compiler cache for fast recompilation of C/C++/Rust code
 Sccache is a compiler cache.
 It speeds up recompilation
 by caching previous compilations
 and detecting when the same compilation is being done again.
 .
 Compared to ccache,
 sccache caches not only C and C++ but also Rust code
 and can store its cache using certain cloud storage,
 but tracks objects by their full paths
 (ccache tracks objects more flexibly).

## sccache 0.9.1

=== debian/changelog ===
sccache (0.9.1-3) unstable; urgency=medium

  * drop patch 2001_reqwest,
    obsoleted by Debian packaging changes;
    tighten build-dependencies for crate reqwest
  * add metadata about upstream project
  * update git-buildpackage config:
    + filter out debian subdir
    + improve usage comment
  * update watch file:
    + improve filename and upstream version mangling
    + use Github API

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 09 Feb 2025 02:13:44 +0100

sccache (0.9.1-2) unstable; urgency=medium

  * update copyright info: update coverage
  * drop patch 2001_hyper, obsoleted by Debian packaging changes;
    bump build-dependency for crate http;
    tighten build-dependencies for crate hyper;
    build-depend on packages for crates http-body-util hyper-util
  * drop patch 2001_memmap2, obsoleted by Debian packaging changes

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 25 Jan 2025 16:01:45 +0100

sccache (0.9.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 11 Jan 2025 03:21:15 +0100

=== debian/control ===
--- 
+++ 
@@ -30,9 +30,14 @@
  librust-fs-err-2+default-dev,
  librust-futures-0.3+default-dev,
  librust-futures-locks-0.7+default-dev,
- librust-http-0.2+default-dev,
- librust-hyper-0.14+default-dev,
- librust-hyper-0.14+server-dev,
+ librust-http-1+default-dev,
+ librust-http-body-util-0.1+default-dev,
+ librust-hyper-1+default-dev,
+ librust-hyper-1+http1-dev,
+ librust-hyper-1+server-dev,
+ librust-hyper-util-0.1+default-dev,
+ librust-hyper-util-0.1+server-dev,
+ librust-hyper-util-0.1+tokio-dev,
  librust-is-terminal-0.4+default-dev,
  librust-itertools-0.13+default-dev <!nocheck>,
  librust-jobserver-0.1+default-dev,
@@ -49,13 +54,13 @@
  librust-predicates-3+default-dev <!nocheck>,
  librust-rand-0.8+default-dev,
  librust-regex-1+default-dev,
- librust-reqwest-0.11+blocking-dev,
- librust-reqwest-0.11+default-dev,
- librust-reqwest-0.11+json-dev,
- librust-reqwest-0.11+rustls-tls-dev,
- librust-reqwest-0.11+rustls-tls-native-roots-dev,
- librust-reqwest-0.11+stream-dev,
- librust-reqwest-0.11+trust-dns-dev,
+ librust-reqwest-0.12+blocking-dev,
+ librust-reqwest-0.12+default-dev,
+ librust-reqwest-0.12+json-dev,
+ librust-reqwest-0.12+rustls-tls-dev,
+ librust-reqwest-0.12+rustls-tls-native-roots-dev,
+ librust-reqwest-0.12+stream-dev,
+ librust-reqwest-0.12+trust-dns-dev,
  librust-retry-2+default-dev,
  librust-semver-1+default-dev,
  librust-serde-1+default-dev,

=== debian/rules ===
#!/usr/bin/make -f

# resolve DEB_HOST_ARCH
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_CXXFLAGS_MAINT_APPEND  = -Wall -pedantic

# trust upstream optimization level unless explicitly disabled
ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export DEB_CFLAGS_MAINT_STRIP=-O2
export DEB_CXXFLAGS_MAINT_STRIP=-O2
endif

# generate documentation unless nodoc requested
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
MANPAGES = debian/sccache.1
endif

# reduce risk of out-of-memory issues during build for weak arches
ifneq (,$(filter $(DEB_HOST_ARCH),armel armhf i386 mipsel riscv64))
export RUSTFLAGS += -C embed-bitcode=no -C lto=no -C linker-plugin-lto=no
endif

# Fails with error: Error executing cache write: Cannot write to read-only storage
TEST_READONLY = \
 test_rust_cargo_cmd_readonly_preemtive_block

%:
	dh $@

# ensure ccache is not in use during tests
# avoid optimization to not run out of memory
override_dh_auto_test:
	PATH=/usr/sbin:/usr/bin:/sbin:/bin TMPDIR=$(CURDIR)/debian DEB_BUILD_OPTIONS=noopt dh_auto_test --buildsystem rust -- \
	 --no-fail-fast -- $(addprefix --skip ,$(TEST_READONLY))

execute_after_dh_auto_install: $(MANPAGES)
	sed -e 's/%DEB_HOST_MULTIARCH%/$(DEB_HOST_MULTIARCH)/' \
	 debian/update-sccache-symlinks.in \
	 > debian/update-sccache-symlinks

# build manpages
debian/sccache.1: debian/%.1: debian/sccache/usr/bin/%
	help2man --section 1 --no-info \
		--name "a fast C/C++/Rust compiler cache" \
		--output $@ $< \
		|| { $< --help; false; }

## sccache 0.10.0

=== debian/changelog ===
sccache (0.10.0-7) unstable; urgency=medium

  * tighten DEP-3 patch headers
  * revert patch 2003_no_opendal_backends to fully avoid crate opendal,
    as the packaging in Debian is now too new;
    stop build-depend on packages for crates opendal reqsign;
    reopens: bug#1060330

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 Aug 2025 16:27:54 +0200

sccache (0.10.0-6) experimental; urgency=medium

  * add patch 2001_which to use newer branch of crate which;
    update build-dependency for crate which;
    closes: bug#1110142, thanks to Matthias Geiger

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 01 Aug 2025 23:50:34 +0200

sccache (0.10.0-5) experimental; urgency=medium

  * reduce patch 2003_no_opendal_backends;
    build-depend on packages for crates opendal reqsign;
    closes: bug#1060330
  * skip tests missing a config file

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 11 Apr 2025 10:04:46 +0200

sccache (0.10.0-4) unstable; urgency=medium

  * update and unfuzz patches
  * update DEP-3 headers for patch 2001_zip
  * build-depend on package for crate temp-env

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 06 Apr 2025 08:28:28 +0200

sccache (0.10.0-3) unstable; urgency=medium

  * add patch 2001_fs-err to use newer version in Debian
  * add patch 2001_zip to use newer version in Debian
  * fix patch 1008 erroneously unwrapping
  * update build-dependencies for crates fs-err zip

 -- Blair Noctis <ncts@debian.org>  Wed, 26 Mar 2025 05:18:58 +0000

sccache (0.10.0-2) unstable; urgency=medium

  * add patch 2002_no_hardcode_defaults
    to avoid hardcoding default options interfering with debhelper;
    thanks to Matthias Geiger (see bug#1101077)
  * declare compliance with Debian Policy 4.7.2

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Mar 2025 13:49:05 +0100

sccache (0.10.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches
  * declare compliance with Debian Policy 4.7.1

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 24 Feb 2025 22:18:34 +0100

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  librust-env-logger-0.11+default-dev,
  librust-filetime-0.2+default-dev,
  librust-flate2-1+rust-backend-dev,
- librust-fs-err-2+default-dev,
+ librust-fs-err-3+default-dev,
  librust-futures-0.3+default-dev,
  librust-futures-locks-0.7+default-dev,
  librust-http-1+default-dev,
@@ -72,6 +72,7 @@
  librust-strip-ansi-escapes-0.2+default-dev,
  librust-tar-0.4+default-dev,
  librust-tempfile-3+default-dev,
+ librust-temp-env-0.3+default-dev,
  librust-test-case-3+default-dev <!nocheck>,
  librust-tokio-1+default-dev,
  librust-tokio-1+io-util-dev,
@@ -90,10 +91,11 @@
  librust-uuid-1+default-dev,
  librust-uuid-1+v4-dev,
  librust-walkdir-2+default-dev,
- librust-which-6-dev,
- librust-zip-0.6-dev,
+ librust-which-8+default-dev,
+ librust-which-8+real-sys-dev,
+ librust-zip-2-dev,
  librust-zstd-0.13+default-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/mozilla/sccache
 Vcs-Git: https://salsa.debian.org/debian/sccache.git
 Vcs-Browser: https://salsa.debian.org/debian/sccache

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
uversionmangle=s/\d\K-([a-z]+)\.?(\d)?/~$1$2/,\
filenamemangle=s/.*?@ANY_VERSION@(@ARCHIVE_EXT@)/@PACKAGE@_$1.orig$2/,\
downloadurlmangle=s!api.github.com/repos/[^/]+/[^/]+/\Kgit/!tarball/!g,\
searchmode=plain,\
dversionmangle=auto \
https://api.github.com/repos/mozilla/sccache/git/matching-refs/tags/ \
https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@

## sccache 0.11.0

=== tests/cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

project(myproject LANGUAGES CXX)

add_library(myproject OBJECT main.cpp)

=== debian/changelog ===
sccache (0.11.0-1) unstable; urgency=medium

  * fix credit in previous changelog entry
  * update and unfuzz patches
  * build-depend on package for crate backon;
    tighten build-dependency for crate zip;
    stop build-depend on packages for crates num_cpus retry
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 11 Oct 2025 10:17:51 +0200

sccache (0.10.0-10) unstable; urgency=medium

  * drop patch 2001_assert_cmd,
    obsoleted by Debian packaging changes
  * declare build-dependencies unconditionally,
    i.e. drop broken nocheck annotations;
    closes: bug#1116909, thanks to Santiago Vila

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 01 Oct 2025 10:51:49 +0200

sccache (0.10.0-9) unstable; urgency=medium

  * add patch cherry-picked upstream
    to use newer major version of crate zip,
    superseding patch 2001_zip
  * add patch 1004
    to accept newer major versions of crate zip,
    superseding patch 2001_zip;
    relax build-dependency for crate zip;
    closes: bug#1115460, thanks to Peter Michael Green
  * relax patch 1004_env_logger
    to relax (not bump) dependency
  * renumber patch 2001_which -> 1007_which

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 17 Sep 2025 14:19:53 +0200

sccache (0.10.0-8) unstable; urgency=medium

  * build-depend on libstd-rust-dev
  * update watch file: use file format 5
  * update and unfuzz patch

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 28 Aug 2025 22:50:28 +0200

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,10 @@
  librust-anyhow-1+backtrace-dev,
  librust-anyhow-1+default-dev,
  librust-ar-0.9+default-dev,
- librust-assert-cmd-2+default-dev <!nocheck>,
+ librust-assert-cmd-2+default-dev,
  librust-async-trait-0.1+default-dev,
  librust-atty-0.2+default-dev,
+ librust-backon-1+std-blocking-sleep-dev,
  librust-base64-0.22+default-dev,
  librust-bincode-1+default-dev,
  librust-blake3-1+default-dev,
@@ -39,7 +40,7 @@
  librust-hyper-util-0.1+server-dev,
  librust-hyper-util-0.1+tokio-dev,
  librust-is-terminal-0.4+default-dev,
- librust-itertools-0.13+default-dev <!nocheck>,
+ librust-itertools-0.13+default-dev,
  librust-jobserver-0.1+default-dev,
  librust-libc-0.2+default-dev,
  librust-linked-hash-map-0.5+default-dev,
@@ -47,11 +48,10 @@
  librust-memchr-2+default-dev,
  librust-memmap2-0.9+default-dev,
  librust-mime-0.3+default-dev,
- librust-num-cpus-1+default-dev,
  librust-number-prefix-0.4+default-dev,
  librust-object-0.36+default-dev,
  librust-once-cell-1+default-dev,
- librust-predicates-3+default-dev <!nocheck>,
+ librust-predicates-3+default-dev,
  librust-rand-0.8+default-dev,
  librust-regex-1+default-dev,
  librust-reqwest-0.12+blocking-dev,
@@ -61,19 +61,18 @@
  librust-reqwest-0.12+rustls-tls-native-roots-dev,
  librust-reqwest-0.12+stream-dev,
  librust-reqwest-0.12+trust-dns-dev,
- librust-retry-2+default-dev,
  librust-semver-1+default-dev,
  librust-serde-1+default-dev,
  librust-serde-1+derive-dev,
  librust-serde-json-1+default-dev,
- librust-serial-test-dev (<< 4) <!nocheck>,
+ librust-serial-test-dev (<< 4),
  librust-sha2-0.10+default-dev,
  librust-shlex-1+default-dev,
  librust-strip-ansi-escapes-0.2+default-dev,
  librust-tar-0.4+default-dev,
  librust-tempfile-3+default-dev,
  librust-temp-env-0.3+default-dev,
- librust-test-case-3+default-dev <!nocheck>,
+ librust-test-case-3+default-dev,
  librust-tokio-1+default-dev,
  librust-tokio-1+io-util-dev,
  librust-tokio-1+macros-dev,
@@ -93,8 +92,9 @@
  librust-walkdir-2+default-dev,
  librust-which-8+default-dev,
  librust-which-8+real-sys-dev,
- librust-zip-2-dev,
+ librust-zip-5-dev,
  librust-zstd-0.13+default-dev,
+ libstd-rust-dev,
 Standards-Version: 4.7.2
 Homepage: https://github.com/mozilla/sccache
 Vcs-Git: https://salsa.debian.org/debian/sccache.git

=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,11 @@
 TEST_READONLY = \
  test_rust_cargo_cmd_readonly_preemtive_block
 
+# Fails with error: Couldn't open config file
+TEST_NO_CONFIG = \
+ test_gcp_arg_check \
+ test_s3_invalid_args
+
 %:
 	dh $@
 
@@ -34,7 +39,7 @@
 # avoid optimization to not run out of memory
 override_dh_auto_test:
 	PATH=/usr/sbin:/usr/bin:/sbin:/bin TMPDIR=$(CURDIR)/debian DEB_BUILD_OPTIONS=noopt dh_auto_test --buildsystem rust -- \
-	 --no-fail-fast -- $(addprefix --skip ,$(TEST_READONLY))
+	 --no-fail-fast -- $(addprefix --skip ,$(TEST_READONLY) $(TEST_NO_CONFIG))
 
 execute_after_dh_auto_install: $(MANPAGES)
 	sed -e 's/%DEB_HOST_MULTIARCH%/$(DEB_HOST_MULTIARCH)/' \

## sccache 0.12.0

=== tests/cmake-hip/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

project(myproject LANGUAGES CXX HIP)

add_library(vectoradd_hip vectoradd_hip.cpp)
set_source_files_properties(vectoradd_hip.cpp PROPERTIES LANGUAGE HIP)

=== debian/changelog ===
sccache (0.12.0-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 24 Oct 2025 00:01:49 +0200

sccache (0.12.0-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches
  * add patch 2001_object
    to accept older minor version of crate object;
    relax build-dependency for crate object
  * add patch 2001_reqsign
    to accept older minor versions of crate reqsign;
    add patch 2003_limit_opendal_backends
    to avoid features gha memcached redis,
    superseding 2003_no_opendal_backends;
    build-depend on packages for crates opendal reqsign;
    closes: bug#1060330, thanks to Sylvestre Ledru

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 21 Oct 2025 14:05:51 +0200

=== debian/control ===
--- 
+++ 
@@ -49,11 +49,17 @@
  librust-memmap2-0.9+default-dev,
  librust-mime-0.3+default-dev,
  librust-number-prefix-0.4+default-dev,
- librust-object-0.36+default-dev,
+ librust-object-dev (<< 0.38),
  librust-once-cell-1+default-dev,
+ librust-opendal-0.54+services-azblob-dev,
+ librust-opendal-0.54+services-gcs-dev,
+ librust-opendal-0.54+services-oss-dev,
+ librust-opendal-0.54+services-s3-dev,
+ librust-opendal-0.54+services-webdav-dev,
  librust-predicates-3+default-dev,
  librust-rand-0.8+default-dev,
  librust-regex-1+default-dev,
+ librust-reqsign-dev (<< 0.19),
  librust-reqwest-0.12+blocking-dev,
  librust-reqwest-0.12+default-dev,
  librust-reqwest-0.12+json-dev,

=== debian/watch ===
version: 5
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

Template: Github
Owner: mozilla
Project: sccache
Uversion-Mangle: s/\d\K-([a-z]+)[.-]?(\d*)/~$1$2/

## sccache 0.13.0%2Bds

=== debian/watch ===
--- 
+++ 
@@ -5,4 +5,5 @@
 Template: Github
 Owner: mozilla
 Project: sccache
-Uversion-Mangle: s/\d\K-([a-z]+)[.-]?(\d*)/~$1$2/
+Dversion-Mangle: auto
+Repacksuffix: +ds

## sccache 0.13.0+ds

=== debian/changelog ===
sccache (0.13.0+ds-3) unstable; urgency=medium

  * relax build-dependency for crate itertools;
    closes: bug#1126313, thanks to Peter Michael Green
  * update copyright info:
    + really avoid any .git* files when repackaging upstream source
  * update git-buildpackage config:
    + stop superfluously filter out .git* files

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 24 Jan 2026 20:51:08 +0100

sccache (0.13.0+ds-2) unstable; urgency=medium

  * drop patch 2001_daemonize, obsoleted by Debian packaging changes;
    build-depend on package for crate daemonix (not daemonize)

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 18 Jan 2026 14:57:01 +0100

sccache (0.13.0+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info:
    + repackage upstream source to avoid any .git* files
    + update coverage
  * add watch file, setting Repack-Suffix: +ds
  * update and unfuzz patches
  * stop build-depending on package for crate once_cell

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Jan 2026 22:54:11 +0100

sccache (0.12.0-3) unstable; urgency=medium

  * add patch cherry-picked upstream
    to use crate tower-service (not tower);
    build-depend on package for crate tower-service (not tower)
  * add patch cherry-picked upstream
    to use newer minor version of crate env_logger,
    superseding patch 1004_env_logger
  * add patch 1004_directories
    to accept newer major version of crate directories;
    relax build-dependency for crate directories;
    closes: bug#1124000, thanks to Peter Michael Green
  * drop watch file: use upstream metadata instead
  * stop declare superfluous fields Priority Rules-Requires-Root
  * declare compliance with Debian Policy 4.7.3

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 29 Dec 2025 10:30:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: sccache
 Section: devel
-Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Uploaders:
  Blair Noctis <ncts@debian.org>,
@@ -22,8 +21,8 @@
  librust-bytes-1+default-dev,
  librust-chrono-0.4+default-dev,
  librust-clap-4+default-dev,
- librust-daemonize-0.5+default-dev,
- librust-directories-5+default-dev,
+ librust-daemonix-0.1+default-dev,
+ librust-directories-dev (<< 7),
  librust-encoding-0.2+default-dev,
  librust-env-logger-0.11+default-dev,
  librust-filetime-0.2+default-dev,
@@ -40,7 +39,7 @@
  librust-hyper-util-0.1+server-dev,
  librust-hyper-util-0.1+tokio-dev,
  librust-is-terminal-0.4+default-dev,
- librust-itertools-0.13+default-dev,
+ librust-itertools-dev (<< 0.15),
  librust-jobserver-0.1+default-dev,
  librust-libc-0.2+default-dev,
  librust-linked-hash-map-0.5+default-dev,
@@ -50,7 +49,6 @@
  librust-mime-0.3+default-dev,
  librust-number-prefix-0.4+default-dev,
  librust-object-dev (<< 0.38),
- librust-once-cell-1+default-dev,
  librust-opendal-0.54+services-azblob-dev,
  librust-opendal-0.54+services-gcs-dev,
  librust-opendal-0.54+services-oss-dev,
@@ -91,7 +89,7 @@
  librust-tokio-util-0.7+default-dev,
  librust-tokio-util-0.7+io-dev,
  librust-toml-0.8+default-dev,
- librust-tower-0.4+default-dev,
+ librust-tower-service-0.3+default-dev,
  librust-url-2+default-dev,
  librust-uuid-1+default-dev,
  librust-uuid-1+v4-dev,
@@ -101,11 +99,10 @@
  librust-zip-5-dev,
  librust-zstd-0.13+default-dev,
  libstd-rust-dev,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/mozilla/sccache
 Vcs-Git: https://salsa.debian.org/debian/sccache.git
 Vcs-Browser: https://salsa.debian.org/debian/sccache
-Rules-Requires-Root: no
 
 Package: sccache
 Architecture: any
